<ion-header>
  <ion-toolbar>
    <ion-title>
      DO Pengiriman Batubara <br/>
      PT BSPC
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
        
    <ion-item >
      <ion-label>PIT 	&#32;: </ion-label>
      <ion-input placeholder="Entry..." [(ngModel)]="pPit" (click)="setFilteredItemsPIT()" (ionChange)="setFilteredItemsPIT()" ></ion-input>
    </ion-item> 

      <ion-list *ngIf="TriListPIT">
        <ion-item *ngFor="let item of itemsPIT; let j=index" (click)="pitList(item)">
          {{item}}
        </ion-item>
      </ion-list>
    
    <ion-item>
      <ion-label>SEAM       :</ion-label>
      <ion-input placeholder="Entry..." [(ngModel)]="pSeam" (click)="setFilteredItemsSEAM()" (ionChange)="setFilteredItemsSEAM()"></ion-input>
    </ion-item>

      <ion-list *ngIf="TriListSEAM">
        <ion-item *ngFor="let item of itemsSEAM; let j=index" (click)="seamList(item)">
        {{item}}
        </ion-item>
      </ion-list>

    <ion-item>
      <ion-label>Kode Driver:</ion-label>
      <ion-input placeholder="Entry..." [(ngModel)]="pKodedriver" (click)="setFilteredItemsKDriver()" (ionChange)="setFilteredItemsKDriver()"></ion-input>
    </ion-item>

      <ion-list *ngIf="TriListKDriver">
        <ion-item *ngFor="let item of itemsKDriver; let j=index" (click)="kdriverList(item)">
        {{item}}
        </ion-item>
      </ion-list>

    <ion-item>
      <ion-label>Driver    :</ion-label>
      <ion-input placeholder="Entry..." [(ngModel)]="pDriver" (click)="setFilteredItemsDriver()" (ionChange)="setFilteredItemsDriver()"></ion-input>
    </ion-item> 

      <ion-list *ngIf="TriListDriver">
        <ion-item *ngFor="let item of itemsDriver; let j=index" (click)="DriverList(item)">
        {{item}}
        </ion-item>
      </ion-list>

    <ion-item>
      <ion-label>No Body    :</ion-label>
      <ion-input placeholder="Entry..." [(ngModel)]="pNobody" (click)="setFilteredItemsNobody()" (ionChange)="setFilteredItemsNobody()"></ion-input>
    </ion-item>

      <ion-list *ngIf="TriListNobody">
        <ion-item *ngFor="let item of itemsNobody; let j=index" (click)="NobodyList(item)">
        {{item}}
        </ion-item>
      </ion-list>

    <ion-item>
      <ion-label>No Pol     :</ion-label>
      <ion-input placeholder="Entry..." [(ngModel)]="pNopol" (click)="setFilteredItemsNopol()" (ionChange)="setFilteredItemsNopol()"></ion-input>
    </ion-item>

      <ion-list *ngIf="TriListNopol">
        <ion-item *ngFor="let item of itemsNopol; let j=index" (click)="NopolList(item)">
        {{item}}
        </ion-item>
      </ion-list>

    <ion-item>
      <ion-label>Kontraktor :</ion-label>
      <ion-input placeholder="Entry..." [(ngModel)]="pKontraktor" (click)="setFilteredItemsKontraktor()" (ionChange)="setFilteredItemsKontraktor()"></ion-input>
    </ion-item> 

      <ion-list *ngIf="TriListKontraktor">
        <ion-item *ngFor="let item of itemsKontraktor; let j=index" (click)="KontraktorList(item)">
        {{item}}
        </ion-item>
      </ion-list>

    <ion-item>
      <ion-label>Checker :</ion-label>
      <ion-input placeholder="Entry..." [(ngModel)]="pChecker" (click)="setFilteredItemsChecker()" (ionChange)="setFilteredItemsChecker()"></ion-input>
    </ion-item> 

      <ion-list *ngIf="TriListChecker">
        <ion-item *ngFor="let item of itemsChecker; let j=index" (click)="CheckerList(item)">
        {{item}}
        </ion-item>
      </ion-list>

    <ion-item>
      <ion-label>Print QR Code</ion-label>
      <ion-checkbox [(ngModel)]="checkQR"></ion-checkbox>
    </ion-item>
    <br/>

    <ion-button color="secondary" expand="full" (click)="createUser()">Print</ion-button>
    <br/>
    <br/>
    <ion-item>
      <ion-input placeholder="..." [(ngModel)]="pEncrypt"></ion-input>
      <ion-button color="secondary" expand="full" (click)="encrypt1()">Encrypt</ion-button>
    </ion-item> 
    <br/>
    <ion-item>
      <ion-input placeholder="..." [(ngModel)]="pDecrypt"></ion-input>
      <ion-button color="secondary" expand="full" (click)="decrypt1()">Decrypt</ion-button>
    </ion-item> 

  </ion-list>

</ion-content>
